# GetSecretRequest (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain

## Class GetSecretRequest

- java.lang.Object
- - io.dapr.client.domain.GetSecretRequest

    public class GetSecretRequest
    extends Object

A request to get a secret by key.

### Constructor Summary

Constructors
`GetSecretRequest​(String storeName, String key)` Constructor for GetSecretRequest.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getKey()`
`Map<String,​String>` `getMetadata()`
`String` `getStoreName()`
`GetSecretRequest` `setMetadata​(Map<String,​String> metadata)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetSecretRequest

    public GetSecretRequest​(String storeName,
                            String key)

Constructor for GetSecretRequest.

Parameters:
  `storeName` - Name of the Secret Store
  `key` - Key for retrieving the secret

### Method Detail

#### getStoreName

    public String getStoreName()

#### getKey

    public String getKey()

#### getMetadata

    public Map<String,​String> getMetadata()

#### setMetadata

    public GetSecretRequest setMetadata​(Map<String,​String> metadata)